<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFGradientFillProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFGradientFillProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFGradientFillProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryRectangle.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFGradientFillProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel</div>
    <h2 title="Class XDDFGradientFillProperties" class="title">Class XDDFGradientFillProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.XDDFGradientFillProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                           title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFGradientFillProperties</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
              title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#XDDFGradientFillProperties--">XDDFGradientFillProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#XDDFGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-">XDDFGradientFillProperties</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGradientStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#addGradientStop--">addGradientStop</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#countGradientStops--">countGradientStops</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGradientStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#getGradientStop-int-">getGradientStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGradientStop</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#getGradientStops--">getGradientStops</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLinearShadeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLinearShadeProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#getLinearShadeProperties--">getLinearShadeProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPathShadeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPathShadeProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#getPathShadeProperties--">getPathShadeProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/TileFlipMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel">TileFlipMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#getTileFlipMode--">getTileFlipMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFRelativeRectangle.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFRelativeRectangle</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#getTileRectangle--">getTileRectangle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGradientStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#insertGradientStop-int-">insertGradientStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#isRotatingWithShape--">isRotatingWithShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#removeGradientStop-int-">removeGradientStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#setLinearShadeProperties-org.apache.poi.xddf.usermodel.XDDFLinearShadeProperties-">setLinearShadeProperties</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLinearShadeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLinearShadeProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#setPathShadeProperties-org.apache.poi.xddf.usermodel.XDDFPathShadeProperties-">setPathShadeProperties</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPathShadeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPathShadeProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#setRotatingWithShape-java.lang.Boolean-">setRotatingWithShape</a></span>(java.lang.Boolean&nbsp;rotating)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#setTileFlipMode-org.apache.poi.xddf.usermodel.TileFlipMode-">setTileFlipMode</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/TileFlipMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel">TileFlipMode</a>&nbsp;mode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html#setTileRectangle-org.apache.poi.xddf.usermodel.XDDFRelativeRectangle-">setTileRectangle</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFRelativeRectangle.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFRelativeRectangle</a>&nbsp;rectangle)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFGradientFillProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDDFGradientFillProperties</h4>
                                <pre>public&nbsp;XDDFGradientFillProperties()</pre>
                            </li>
                        </ul>
                        <a name="XDDFGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFGradientFillProperties</h4>
                                <pre>protected&nbsp;XDDFGradientFillProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties&nbsp;properties)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="isRotatingWithShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRotatingWithShape</h4>
                                <pre>public&nbsp;java.lang.Boolean&nbsp;isRotatingWithShape()</pre>
                            </li>
                        </ul>
                        <a name="setRotatingWithShape-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRotatingWithShape</h4>
                                <pre>public&nbsp;void&nbsp;setRotatingWithShape(java.lang.Boolean&nbsp;rotating)</pre>
                            </li>
                        </ul>
                        <a name="getTileFlipMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTileFlipMode</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/TileFlipMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel">TileFlipMode</a>&nbsp;getTileFlipMode()</pre>
                            </li>
                        </ul>
                        <a name="setTileFlipMode-org.apache.poi.xddf.usermodel.TileFlipMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTileFlipMode</h4>
                                <pre>public&nbsp;void&nbsp;setTileFlipMode(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/TileFlipMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel">TileFlipMode</a>&nbsp;mode)</pre>
                            </li>
                        </ul>
                        <a name="addGradientStop--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addGradientStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGradientStop</a>&nbsp;addGradientStop()</pre>
                            </li>
                        </ul>
                        <a name="insertGradientStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertGradientStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGradientStop</a>&nbsp;insertGradientStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeGradientStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeGradientStop</h4>
                                <pre>public&nbsp;void&nbsp;removeGradientStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getGradientStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGradientStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGradientStop</a>&nbsp;getGradientStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getGradientStops--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGradientStops</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGradientStop</a>&gt;&nbsp;getGradientStops()</pre>
                            </li>
                        </ul>
                        <a name="countGradientStops--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>countGradientStops</h4>
                                <pre>public&nbsp;int&nbsp;countGradientStops()</pre>
                            </li>
                        </ul>
                        <a name="getLinearShadeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLinearShadeProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLinearShadeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLinearShadeProperties</a>&nbsp;getLinearShadeProperties()</pre>
                            </li>
                        </ul>
                        <a name="setLinearShadeProperties-org.apache.poi.xddf.usermodel.XDDFLinearShadeProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLinearShadeProperties</h4>
                                <pre>public&nbsp;void&nbsp;setLinearShadeProperties(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLinearShadeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLinearShadeProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getPathShadeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPathShadeProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPathShadeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPathShadeProperties</a>&nbsp;getPathShadeProperties()</pre>
                            </li>
                        </ul>
                        <a name="setPathShadeProperties-org.apache.poi.xddf.usermodel.XDDFPathShadeProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPathShadeProperties</h4>
                                <pre>public&nbsp;void&nbsp;setPathShadeProperties(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPathShadeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPathShadeProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getTileRectangle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTileRectangle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFRelativeRectangle.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFRelativeRectangle</a>&nbsp;getTileRectangle()</pre>
                            </li>
                        </ul>
                        <a name="setTileRectangle-org.apache.poi.xddf.usermodel.XDDFRelativeRectangle-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setTileRectangle</h4>
                                <pre>public&nbsp;void&nbsp;setTileRectangle(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFRelativeRectangle.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFRelativeRectangle</a>&nbsp;rectangle)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFGradientFillProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryRectangle.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFGradientStop.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFGradientFillProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFGradientFillProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
